Fix an export declaration
curl --request PATCH \
--url https://sandbox-api.easecustoms.com/v1/declarations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exporter": {},
"DeclarationItems": [
{}
]
}
'import requests
url = "https://sandbox-api.easecustoms.com/v1/declarations/{id}"
payload = {
"exporter": {},
"DeclarationItems": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({exporter: {}, DeclarationItems: [{}]})
};
fetch('https://sandbox-api.easecustoms.com/v1/declarations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"declarationId": 43,
"status": "processing"
}
Export Declarations
Fix an export declaration
Update fields on an export declaration that has validation errors.
PATCH
/
v1
/
declarations
/
{id}
Fix an export declaration
Update fields on a declaration that has validation errors (
status: invalid). Only declarations in processing, invalid, or ready status can be patched.
Path Parameters
number
required
The unique declaration ID.
Request Payload
object
Updated exporter details.
array
Updated declaration items.
JSON Payload
{
"exporter": {
"name": "EZC B.V. (Updated Name)"
},
"DeclarationItems": [
{
"itemId": 8,
"netPrice": 9800
}
]
}
{
"declarationId": 43,
"status": "processing"
}
⌘I